# General Translation Platform: Mover o cambiar el nombre de archivos
URL: https://generaltranslation.com/es/docs/platform/openapi/reference/files/move-files.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Clona archivos fuente y sus traducciones con nuevos ID de archivo. Referencia de la API para Mover o cambiar el nombre de archivos.

{/* Este archivo fue generado por Fumadocs. No edites este archivo directamente. Cualquier cambio debe realizarse volviendo a ejecutar el comando de generación. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/files/moves`

**Operation ID:** `processFileMoves`

**Tags:** `Files`

**Summary:** Move or rename files

Clone source files and their translations under new file IDs.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `branchId` (string)
- `moves` (object[], required)
  - `oldFileId` (string, required)
  - `newFileId` (string, required)
  - `newFileName` (string, required)

### Responses

**200**: File move results
Response body (`application/json`, object):
- `results` (object[], required)
  - `oldFileId` (string, required)
  - `newFileId` (string, required)
  - `success` (boolean, required)
  - `newSourceFileId` (string)
  - `clonedTranslationsCount` (integer)
  - `error` (string)
- `summary` (object)
  - `total` (integer, required)
  - `succeeded` (integer, required)
  - `failed` (integer, required)

**400**: The request is malformed or failed validation.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Authentication is missing or invalid.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: The caller is authenticated but not allowed to perform this operation or access the requested resource.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: The requested resource was not found.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: The request, or the data it would return, exceeds a size or item limit.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**415**: The request body's Content-Type is missing or not supported. Send the body as application/json.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Too many requests. The rate limit was exceeded.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: An unexpected server error occurred.
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
